org.bouncycastle.crypto

## Interface AsymmetricCipherKeyPairGenerator

All Known Implementing Classes:
  DHBasicKeyPairGenerator, DHKeyPairGenerator, DSAKeyPairGenerator, ECKeyPairGenerator, ElGamalKeyPairGenerator, GOST3410KeyPairGenerator, NaccacheSternKeyPairGenerator, RSAKeyPairGenerator

    public interface AsymmetricCipherKeyPairGenerator

interface that a public/private key pair generator should conform to.

### Method Summary

Methods
`AsymmetricCipherKeyPair` `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` `init(KeyGenerationParameters param)` intialise the key pair generator.

### Method Detail

#### init

    void init(KeyGenerationParameters param)

intialise the key pair generator.

Parameters:
  `param` - the parameters the key pair is to be initialised with.

#### generateKeyPair

    AsymmetricCipherKeyPair generateKeyPair()

return an AsymmetricCipherKeyPair containing the generated keys.

Returns:
  an AsymmetricCipherKeyPair containing the generated keys.